--
-- Vario900Anim
-- Specialization FAN class for Vario900Anim
-- V1.0
-- @author  Ago-Systemtech
-- @date  26/06/2013
-- Copyright (C)Ago-Systemtech, All Rights Reserved.
--
--    for use this specialization on your mods...
--     @ Ago-Systemtech: https://www.facebook.com/ago.systemtech (Modhoster Team)
--    free for non commercial-usage! -------------

Vario900Anim = {};

function Vario900Anim.prerequisitesPresent(specializations)

    return true;
end;
function Vario900Anim:load(savegame)

    self.Vario900_puleggeAnim = getXMLString(self.xmlFile, "vehicle.puleggeAnimation#animName");
	self.Vario900_speedDivider = getXMLInt(self.xmlFile, "vehicle.puleggeAnimation#speedDivider");

	if self.Vario900_puleggeAnim ~= nil and self.Vario900_speedDivider ~= nil then
		self.Vario900_initalized = true;
	else
		self.Vario900_initalized = false;
	end

    -----------door sound------------
    -- openSoundFile = Utils.getFilename("Sound/closeDoor.wav", self.baseDirectory);
    -- self.openDoorSoundId = createSample("Cldoorsound");
    -- loadSample(self.openDoorSoundId, openSoundFile, false);
    -- self.openPlaying = false;
    -- clouseSoundFile = Utils.getFilename("Sound/openDoor.wav", self.baseDirectory);
    -- self.clouseDoorSoundId = createSample("Opdoorsound");
    -- loadSample(self.clouseDoorSoundId, clouseSoundFile, false);
    -- self.clousePlaying = false
    -- local oSX = Utils.indexToObject(self.rootNode, getXMLString(self.xmlFile, "vehicle.osx#index"));
    -- if oSX ~= nil then
        -- self.osx = {};
        -- self.osx.node = oSX;
        -- end;
    -- local oRX = Utils.indexToObject(self.rootNode, getXMLString(self.xmlFile, "vehicle.orx#index"));
    -- if oRX ~= nil then
        -- self.orx = {};
        -- self.orx.node = oRX;
        -- end;            
    -- local tSUP = Utils.indexToObject(self.rootNode, getXMLString(self.xmlFile, "vehicle.tsup#index"));
    -- if  tSUP~= nil then
        -- self.tsup = {};
        -- self.tsup.node = tSUP;
        -- end;
end;
function Vario900Anim:delete()
            
end;
function Vario900Anim:readStream(streamId, connection)
end;
function Vario900Anim:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)    
    return BaseMission.VEHICLE_LOAD_OK;
end;
function Vario900Anim:writeStream(streamId, connection)
    
end;


function Vario900Anim:mouseEvent(posX, posY, isDown, isUp, button)
end;
function Vario900Anim:keyEvent(unicode, sym, modifier, isDown)
    
            
end;

function Vario900Anim:update(dt)
-- if  self:getIsActiveForInput() then
        -- local x, y, z = getRotation(self.osx.node);
            -- if y < Utils.degToRad(1) and y > Utils.degToRad(0.01)  then
            -- self.soundOpen = true;
            -- self.soundClose = false;
            -- else
            -- if y > Utils.degToRad(1) and y < Utils.degToRad(3)  then
            -- self.soundOpen = false;
            -- self.soundClose = true;
            -- end;
            -- end;
        -- local xz, yz, zz = getRotation(self.orx.node);
            -- if xz < Utils.degToRad(1) and  xz > Utils.degToRad(0.01) then
            -- self.soundOpen = true;
            -- self.soundClose = false;
            -- else
            -- if xz > Utils.degToRad(1) and xz < Utils.degToRad(3)  then
            -- self.soundOpen = false;
            -- self.soundClose = true;
            -- end;
            -- end;
        -- local xt, yt, zt = getRotation(self.tsup.node);
            -- if xt < Utils.degToRad(1) and  xt > Utils.degToRad(0.01) then
            -- self.soundOpen = true;
            -- self.soundClose = false;
            -- else
            -- if xt > Utils.degToRad(1) and xt < Utils.degToRad(3)  then
            -- self.soundOpen = false;
            -- self.soundClose = true;
            -- end;
            -- end;                
          -- end;
    
 
   -- if self.soundOpen then
       -- if not self.openPlaying then
            -- playSample(self.openDoorSoundId, 1, 3, 3);
            -- self.openPlaying = true;
        -- end;
    -- else
        -- if self.openPlaying then
            -- stopSample(self.openDoorSoundId);
            -- self.openPlaying = false;
        -- end;
    -- end;
    -- if self.soundClose then
       -- if not self.clousePlaying then
            -- playSample(self.clouseDoorSoundId, 1, 3, 3);
            -- self.clousePlaying = true;
        -- end;
    -- else
        -- if self.clousePlaying then
            -- stopSample(self.clouseDoorSoundId);
            -- self.clousePlaying = false;
        -- end;
        -- end;

    if not self.Vario900_initalized then
		return;
	end

	if self:getIsMotorStarted() then
		self:playAnimation(self.Vario900_puleggeAnim, 
							self.motor.lastMotorRpm / self.Vario900_speedDivider, 
							self:getAnimationTime(self.Vario900_puleggeAnim), 
							true);
	else
		self:stopAnimation(self.Vario900_puleggeAnim);
	end
end;

function Vario900Anim:updateTick(dt)
    

end;



function Vario900Anim:draw()

end;


function Vario900Anim:onEnter()

end;

function Vario900Anim:onLeave()
end;

